<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.9.1"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Pathfinding Algorithms: DrawNode Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Pathfinding Algorithms
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.1 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-static-methods">Static Public Member Functions</a> &#124;
<a href="#pro-attribs">Protected Attributes</a> &#124;
<a href="classDrawNode-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">DrawNode Class Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for DrawNode:</div>
<div class="dyncontent">
<div class="center"><img src="classDrawNode__inherit__graph.png" border="0" usemap="#aDrawNode_inherit__map" alt="Inheritance graph"/></div>
<map name="aDrawNode_inherit__map" id="aDrawNode_inherit__map">
<area shape="rect" title=" " alt="" coords="44,80,135,107"/>
<area shape="rect" href="classDrawNodeMovable.html" title=" " alt="" coords="16,155,163,181"/>
<area shape="rect" title=" " alt="" coords="5,5,173,32"/>
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<div class="dynheader">
Collaboration diagram for DrawNode:</div>
<div class="dyncontent">
<div class="center"><img src="classDrawNode__coll__graph.png" border="0" usemap="#aDrawNode_coll__map" alt="Collaboration graph"/></div>
<map name="aDrawNode_coll__map" id="aDrawNode_coll__map">
<area shape="rect" title=" " alt="" coords="112,95,203,121"/>
<area shape="rect" title=" " alt="" coords="5,5,173,32"/>
<area shape="rect" href="classNode.html" title=" " alt="" coords="197,5,253,32"/>
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a7df576e0ca14ecbe63d5d3a91e62e25d"><td class="memItemLeft" align="right" valign="top"><a id="a7df576e0ca14ecbe63d5d3a91e62e25d"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>DrawNode</b> (<a class="el" href="classNode.html">Node</a> *node, const QPixmap &amp;pixmap, QGraphicsItem *parent=nullptr)</td></tr>
<tr class="separator:a7df576e0ca14ecbe63d5d3a91e62e25d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acdeeaf507a0c4addb9d1876d91096c49"><td class="memItemLeft" align="right" valign="top"><a id="acdeeaf507a0c4addb9d1876d91096c49"></a>
QRectF&#160;</td><td class="memItemRight" valign="bottom"><b>boundingRect</b> () const</td></tr>
<tr class="separator:acdeeaf507a0c4addb9d1876d91096c49"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a800a29790e9365cf26b95733b1d53ebf"><td class="memItemLeft" align="right" valign="top"><a id="a800a29790e9365cf26b95733b1d53ebf"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>paint</b> (QPainter *painter, const QStyleOptionGraphicsItem *option, QWidget *widget)</td></tr>
<tr class="separator:a800a29790e9365cf26b95733b1d53ebf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a705c6d8a41367d02a5de4a05c61acae3"><td class="memItemLeft" align="right" valign="top"><a id="a705c6d8a41367d02a5de4a05c61acae3"></a>
int&#160;</td><td class="memItemRight" valign="bottom"><b>dim</b> () const</td></tr>
<tr class="separator:a705c6d8a41367d02a5de4a05c61acae3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3f9aab1cc5555b9a708bf1c11928d803"><td class="memItemLeft" align="right" valign="top"><a id="a3f9aab1cc5555b9a708bf1c11928d803"></a>
<a class="el" href="classNode.html">Node</a> *&#160;</td><td class="memItemRight" valign="bottom"><b>node</b> ()</td></tr>
<tr class="separator:a3f9aab1cc5555b9a708bf1c11928d803"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-static-methods"></a>
Static Public Member Functions</h2></td></tr>
<tr class="memitem:a12cfa312db8dc108dabd3b42780b7776"><td class="memItemLeft" align="right" valign="top"><a id="a12cfa312db8dc108dabd3b42780b7776"></a>
static int&#160;</td><td class="memItemRight" valign="bottom"><b>dim</b> (NodeType)</td></tr>
<tr class="separator:a12cfa312db8dc108dabd3b42780b7776"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pro-attribs"></a>
Protected Attributes</h2></td></tr>
<tr class="memitem:a0a17f4f19be07d0a1fa8accf50b75501"><td class="memItemLeft" align="right" valign="top"><a id="a0a17f4f19be07d0a1fa8accf50b75501"></a>
<a class="el" href="classNode.html">Node</a> *&#160;</td><td class="memItemRight" valign="bottom"><b>_node</b></td></tr>
<tr class="separator:a0a17f4f19be07d0a1fa8accf50b75501"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa4c62996951ddee350594363c5c770c5"><td class="memItemLeft" align="right" valign="top"><a id="aa4c62996951ddee350594363c5c770c5"></a>
int&#160;</td><td class="memItemRight" valign="bottom"><b>_dim</b></td></tr>
<tr class="separator:aa4c62996951ddee350594363c5c770c5"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<hr/>The documentation for this class was generated from the following files:<ul>
<li>src/<a class="el" href="DrawNode_8h_source.html">DrawNode.h</a></li>
<li>src/DrawNode.cpp</li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.1
</small></address>
</body>
</html>
